#include <iostream>

using namespace std;

int main(void)
{
    unsigned int n;
    cin >> n;

    long int x, a[n];
    cin >> x;

    for(int i=0; i<n; ++i)
        cin >> a[i];

    int najveci=a[0];
    int najmanji=a[0];

    for(int i=1; i<n; ++i)
    {
        if(a[i]>najveci)
            najveci=a[i];

        if(a[i]<najmanji)
            najmanji=a[i];

    }


    if(x<najmanji)
        cout << najveci-x;
    else if(x>najveci)
        cout << x-najmanji;
    else if(najveci-x>x-najmanji)
        cout << (x-najmanji)+(najveci-najmanji);
    else
        cout << (najveci-x)+(najveci-najmanji);
    return 0;
}